.. AUTO-GENERATED FILE. DO NOT EDIT. one-entity-mobile-application-access-get-many ============================================= Source ------ - Repository: ``jef-systems/jef-one-backend`` - Source Run ID: ``25256246879`` - Source SHA: ``944e655286e0c87c6e611453ffc46df43159a83d`` - Module: ``one`` - Documentation Scope: ``get`` - Lambda: ``jef-one-get-8`` Endpoint -------- - API Name: ``jef-one`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/one-entity-mobile-application-access-get-many`` - Complete Endpoint: ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-8`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-one-get-8 API Name: jef-one Action: get Method: GET Resource Path: /one-entity-mobile-application-access-get-many Table: - table: jef-one-entity-mobile-application-access - operation: get-many Payload Schema: - gsi_1_pk: mobile_application_number Payload Example: - gsi_1_pk: MOBILE-APP-001 Response Schema: - exists: boolean - message: string - items: [{"entity_number":"string","mobile_application_number":"string","is_active":"boolean"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "mobile_application_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"entity_number\":\"string\",\"mobile_application_number\":\"string\",\"is_active\":\"boolean\"}]" } CMD curl -------- .. code-block:: text curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-get-many?gsi_1_pk=MOBILE-APP-001" PowerShell curl --------------- .. code-block:: text curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-get-many?gsi_1_pk=MOBILE-APP-001"